/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Response message for BusinessCategories.BatchGetBusinessCategories.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class BatchGetBusinessCategoriesResponse extends com.google.api.client.json.GenericJson {

  /**
   * Categories that match the GConcept ids provided in the request. They will not come in the same
   * order as category ids in the request.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Category> categories;

  static {
    // hack to force ProGuard to consider Category used, since otherwise it would be stripped out
    // see https://github.com/google/google-api-java-client/issues/543
    com.google.api.client.util.Data.nullOf(Category.class);
  }

  /**
   * Categories that match the GConcept ids provided in the request. They will not come in the same
   * order as category ids in the request.
   * @return value or {@code null} for none
   */
  public java.util.List<Category> getCategories() {
    return categories;
  }

  /**
   * Categories that match the GConcept ids provided in the request. They will not come in the same
   * order as category ids in the request.
   * @param categories categories or {@code null} for none
   */
  public BatchGetBusinessCategoriesResponse setCategories(java.util.List<Category> categories) {
    this.categories = categories;
    return this;
  }

  @Override
  public BatchGetBusinessCategoriesResponse set(String fieldName, Object value) {
    return (BatchGetBusinessCategoriesResponse) super.set(fieldName, value);
  }

  @Override
  public BatchGetBusinessCategoriesResponse clone() {
    return (BatchGetBusinessCategoriesResponse) super.clone();
  }

}
